Upstream information

CVE-2017-3167 at MITRE

Description

In Apache httpd 2.2.x before 2.2.33 and 2.4.x before 2.4.26, use of the ap_get_basic_auth_pw() by third-party modules outside of the authentication phase may lead to authentication requirements being bypassed.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.8
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7.4
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High None
SUSE Bugzilla entries: 1045065 [RESOLVED / FIXED], 1049674, 1052635 [RESOLVED], 1060041

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Point of Sale 11 SP3
  • apache2 >= 2.2.34-70.12.1
  • apache2-devel >= 2.2.34-70.12.1
  • apache2-doc >= 2.2.34-70.12.1
  • apache2-example-pages >= 2.2.34-70.12.1
  • apache2-prefork >= 2.2.34-70.12.1
  • apache2-utils >= 2.2.34-70.12.1
  • apache2-worker >= 2.2.34-70.12.1
Patchnames:
sleposp3-apache2-13331
SUSE Linux Enterprise Server 11 SP3-LTSS
  • apache2 >= 2.2.34-70.12.1
  • apache2-devel >= 2.2.34-70.12.1
  • apache2-doc >= 2.2.34-70.12.1
  • apache2-example-pages >= 2.2.34-70.12.1
  • apache2-prefork >= 2.2.34-70.12.1
  • apache2-utils >= 2.2.34-70.12.1
  • apache2-worker >= 2.2.34-70.12.1
Patchnames:
slessp3-apache2-13331
SUSE Linux Enterprise Server 11 SP4
  • apache2 >= 2.2.34-70.12.1
  • apache2-doc >= 2.2.34-70.12.1
  • apache2-example-pages >= 2.2.34-70.12.1
  • apache2-prefork >= 2.2.34-70.12.1
  • apache2-utils >= 2.2.34-70.12.1
  • apache2-worker >= 2.2.34-70.12.1
Patchnames:
slessp4-apache2-13331
SUSE Linux Enterprise Server 12 SP1-LTSS
  • apache2 >= 2.4.16-20.10.1
  • apache2-doc >= 2.4.16-20.10.1
  • apache2-example-pages >= 2.4.16-20.10.1
  • apache2-prefork >= 2.4.16-20.10.1
  • apache2-utils >= 2.4.16-20.10.1
  • apache2-worker >= 2.4.16-20.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1510
SUSE Linux Enterprise Server 12 SP2
  • apache2 >= 2.4.23-28.1
  • apache2-doc >= 2.4.23-28.1
  • apache2-example-pages >= 2.4.23-28.1
  • apache2-prefork >= 2.4.23-28.1
  • apache2-utils >= 2.4.23-28.1
  • apache2-worker >= 2.4.23-28.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1062
SUSE Linux Enterprise Server 12 SP3
  • apache2 >= 2.4.23-28.1
  • apache2-doc >= 2.4.23-28.1
  • apache2-example-pages >= 2.4.23-28.1
  • apache2-prefork >= 2.4.23-28.1
  • apache2-utils >= 2.4.23-28.1
  • apache2-worker >= 2.4.23-28.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA apache2
SUSE Linux Enterprise Server 12-LTSS
  • apache2 >= 2.4.10-14.28.1
  • apache2-doc >= 2.4.10-14.28.1
  • apache2-example-pages >= 2.4.10-14.28.1
  • apache2-prefork >= 2.4.10-14.28.1
  • apache2-utils >= 2.4.10-14.28.1
  • apache2-worker >= 2.4.10-14.28.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1709
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • apache2 >= 2.4.23-28.1
  • apache2-doc >= 2.4.23-28.1
  • apache2-example-pages >= 2.4.23-28.1
  • apache2-prefork >= 2.4.23-28.1
  • apache2-utils >= 2.4.23-28.1
  • apache2-worker >= 2.4.23-28.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-1062
SUSE Linux Enterprise Software Development Kit 11 SP4
  • apache2 >= 2.2.34-70.12.1
  • apache2-devel >= 2.2.34-70.12.1
  • apache2-doc >= 2.2.34-70.12.1
  • apache2-example-pages >= 2.2.34-70.12.1
  • apache2-prefork >= 2.2.34-70.12.1
  • apache2-utils >= 2.2.34-70.12.1
  • apache2-worker >= 2.2.34-70.12.1
Patchnames:
sdksp4-apache2-13331
SUSE Linux Enterprise Software Development Kit 12 SP2
  • apache2 >= 2.4.23-28.1
  • apache2-devel >= 2.4.23-28.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1062
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache2-devel >= 2.4.23-28.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA apache2-devel
SUSE Linux Enterprise for SAP 12 SP1
  • apache2 >= 2.4.16-20.10.1
  • apache2-doc >= 2.4.16-20.10.1
  • apache2-example-pages >= 2.4.16-20.10.1
  • apache2-prefork >= 2.4.16-20.10.1
  • apache2-utils >= 2.4.16-20.10.1
  • apache2-worker >= 2.4.16-20.10.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1510
SUSE OpenStack Cloud 6
  • apache2 >= 2.4.16-20.10.1
  • apache2-doc >= 2.4.16-20.10.1
  • apache2-example-pages >= 2.4.16-20.10.1
  • apache2-prefork >= 2.4.16-20.10.1
  • apache2-utils >= 2.4.16-20.10.1
  • apache2-worker >= 2.4.16-20.10.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1510
SUSE Studio Onsite 1.3
  • apache2 >= 2.2.34-70.12.1
  • apache2-devel >= 2.2.34-70.12.1
Patchnames:
slestso13-apache2-13331
openSUSE Leap 42.2
  • apache2 >= 2.4.23-8.6.1
  • apache2-debuginfo >= 2.4.23-8.6.1
  • apache2-debugsource >= 2.4.23-8.6.1
  • apache2-devel >= 2.4.23-8.6.1
  • apache2-doc >= 2.4.23-8.6.1
  • apache2-event >= 2.4.23-8.6.1
  • apache2-event-debuginfo >= 2.4.23-8.6.1
  • apache2-example-pages >= 2.4.23-8.6.1
  • apache2-prefork >= 2.4.23-8.6.1
  • apache2-prefork-debuginfo >= 2.4.23-8.6.1
  • apache2-utils >= 2.4.23-8.6.1
  • apache2-utils-debuginfo >= 2.4.23-8.6.1
  • apache2-worker >= 2.4.23-8.6.1
  • apache2-worker-debuginfo >= 2.4.23-8.6.1
Patchnames:
openSUSE-2017-786
openSUSE Leap 42.3
  • apache2 >= 2.4.23-11.2
  • apache2-devel >= 2.4.23-11.2
  • apache2-doc >= 2.4.23-11.2
  • apache2-example-pages >= 2.4.23-11.2
  • apache2-prefork >= 2.4.23-11.2
  • apache2-utils >= 2.4.23-11.2
Patchnames:
openSUSE Leap 42.3 GA apache2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 apache2 Released
SUSE Linux Enterprise SDK 12 SP2 apache2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS apache2 Released
SUSE Linux Enterprise Server 11 SP4 apache2 Released
SUSE Linux Enterprise Server 12 GA LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP1 LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP2 apache2 Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI apache2 Released
SUSE Studio Onsite 1.3 apache2 Released